# 2024-09-15 组会汇报

## 一、科研项目

1.  开发了`UWB`的标签，用于搭建真值参考环境。

   ![](./Image/fig1.png)

2.  调研了现有的`UWB`的融合定位方案，挑选了一些可行的优化方向。

3.  优化了融合定位的神经网络的损失函数

4. 修改损失函数：

   修改前损失函数:

$$
loss_{uwb} = max(abs(x_t-x_{t-1}) + abs(y_t -y_{t-1}))
$$

​		修改后损失函数：
$$
loss_{uwb} = max(abs(x_t-x_{t-1})^2 + abs(y_t -y_{t-1})^2)
$$

​		修改后代码已经[提交](http://logzhan.ticp.io:30000/logzhan/Example-Research-COAT/commit/8349611e2f92aefe5907a89242d2b4eaea4fb5cd)：

## 二、工程项目

2.1 机器人安卓客户端优化

​		新增了两个功能页面，修复了上一版本点击按钮后页面崩溃的问题。

2.2 机器人驱动修复

​		修复了数据类型导致定位精度的问题。

```c++
// 原先有问题的代码
int32_t d = (int32_t)(lighthouse_d - uwb_d);
// 修改后代码
float d = (float(lighthouse_d - uwb_d);
```

